Subject: Re: [trill] Thoughts on active-active edge

From: Anoop Ghanwani <[email-masked]>
Date: Fri, 4 Jan 2013 17:48:03 -0800

Chiming in late on an old thread as I took some time off.

I agree with Tissa.  It's not a good idea to trigger MAC moves
unnecessarily and poke the CPU, even if the CPU will eventually
ignore it.  Just not good design.  And it would be non-trivial
hardware change to address something like that.  (Otherwise,
we'd have IP RPF checks that worked with ECMP much
more widely available in hardware.)

Anoop

On Wed, Dec 12, 2012 at 3:14 PM, Tissa Senevirathne (tsenevir)
<[email-masked]> wrote:
> I think we should answer the question in hand first.
>
> This thread is all about "saying it is ok to have MAC move in TRILL to solve active-active edge"
>
> I am overwhelmingly against that statement and the argument for it is all based on whole series of assumptions and ignoring the modern networking devices and how they operate.
>
> Once that is resolved and behind we can have a separate discussion of CMT, hu draft and future approach etc.
>
> Thanks
> Tissa
>
> -----Original Message-----
> From: Thomas Narten [mailto:[email-masked]]
> Sent: Wednesday, December 12, 2012 2:58 PM
> To: Sam Aldrin
> Cc: Mingui Zhang; Tissa Senevirathne (tsenevir); Radia Perlman; [email-masked]
> Subject: Re: [trill] Thoughts on active-active edge
>
>
> Sam Aldrin <[email-masked]> writes:
>
>> On Dec 12, 2012, at 12:25 PM, Thomas Narten <[email-masked]> wrote:
>
>> >> I believe we have discussed these scenarios (different solution
>> >> types) previously.  WG should reach consensus and move forward with
>> >> the agreed solution.  Atleast from the IETF WG sessions, I presumed
>> >> there was a consensus on the solution.  Am I wrong in that
>> >> assumption?
>> >
>> > what "solution" are you referring above as maybe having consensus?
>
>> Cmt draft
>
> If you mean draft-ietf-trill-cmt-01.txt, I at least am not in agreement.
>
> I have several issues with the document.
>
> For starters, it's incomplete. It needs to be paired with another document to get an actual "standard" you can implement. We don't have such a companion document yet.  It's been suggested that draft-hu-trill-pseudonode-nickname-04.txt is one such document. But that document is not a WG document and I'm not sure what its status is. (And it needs work...)
>
> As a general rule (not TRILL specific) I don't like WGs doing "partial work" where they standardize one document, that is incomplete by itself, independent of other documents that are needed to produce a complete implementable solution to some real problem.
>
> I've raised issues on the list about CMT and its unclarity wrt. LAG/MC-LAG, etc. I did not really get my questions answered.
>
> What I'd really like to start with on CMT is a clear problem statement. I.e., exactly what problem/use case it is trying to solve. I have not been able to get that out of the two  documents.
>
> As for draft-hu-trill-pseudonode-nickname-04.txt, I have other concerns. E.g., it talks about tunneling at one point, but that is completely unspecified.
>
> What I don't want to do is spend a lot of time on the *solution* details. I first want a clear problem statement/use case. Without that, it is difficult to assess how well potential solutions address the stated problem.
>
> Thomas
>
>
> _______________________________________________
> trill mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trill